Skip to main content
PATCH
/
api
/
v1
/
app-connections
/
azure-client-secrets
/
{connectionId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/app-connections/azure-client-secrets/{connectionId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "credentials": {
    "code": "<string>",
    "tenantId": "<string>"
  },
  "name": "<string>",
  "description": "<string>",
  "isPlatformManagedCredentials": false,
  "gatewayId": "<unknown>",
  "isAutoRotationEnabled": true,
  "rotation": {
    "rotationInterval": 183,
    "rotateAtUtc": {
      "hours": 11,
      "minutes": 29
    }
  }
}
'
{
  "appConnection": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "app": "azure-client-secrets",
    "method": "oauth",
    "credentials": {
      "tenantId": "<string>"
    },
    "description": "<string>",
    "version": 1,
    "isPlatformManagedCredentials": false,
    "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "isAutoRotationEnabled": false,
    "rotation": {
      "rotationInterval": 123,
      "rotationStatus": "success",
      "rotateAtUtc": {
        "hours": 123,
        "minutes": 123
      },
      "lastRotationMessage": "<string>",
      "nextRotationAt": "2023-11-07T05:31:56Z"
    },
    "credentialsHash": "<string>",
    "project": {
      "name": "<string>",
      "id": "<string>",
      "type": "<string>",
      "slug": "<string>"
    }
  }
}
Azure Client Secret Connections must be updated through the Infisical UI. Check out the configuration docs for Azure Client Secret Connections for a step-by-step guide.

Path Parameters

connectionId
string<uuid>
required

The ID of the Azure Client Secrets Connection to be updated.

Body

application/json
credentials
object

The credentials used to connect with Azure Client Secrets.

name
string

The updated name of the Azure Client Secrets Connection. Must be slug-friendly.

Required string length: 1 - 64
description
string | null

The updated description of the Azure Client Secrets Connection.

Maximum string length: 256
isPlatformManagedCredentials
enum<boolean>

Not supported for Azure Client Secrets Connections.

Available options:
false
gatewayId

Not supported for Azure Client Secrets Connections.

isAutoRotationEnabled
boolean

Whether or not automatic credential rotation is enabled for the Azure Client Secrets Connection.

rotation
object

The updated credential rotation configuration for the Azure Client Secrets Connection.

Response

Default Response

appConnection
Azure Client Secrets (OAuth) · object
required